IPSW-DYLD-SPLIT(1)

NAME
ipsw-dyld-split - Split DSC into dylibs using Xcode's dsc_extractor (macOS only)

SYNOPSIS
ipsw dyld split [flags]

DESCRIPTION
Split a dyld_shared_cache into individual dylibs using Apple's dsc_extractor.bundle.

This is a fast bulk operation but the output is not enriched for reverse engineering. For RE use, prefer 'ipsw dyld extract' which adds local symbols, ObjC metadata, and stub island symbols, works cross-platform, and produces IDA/Ghidra-ready MachOs.

OPTIONS
-b, --build=""
    Cache build

-c, --cache[=false]
    Build Xcode device support cache

-h, --help[=false]
    help for split

-o, --output=""
    Directory to extract the dylibs (default: CWD)

-v, --version=""
    Cache version

-x, --xcode=""
    Path to Xcode.app

OPTIONS INHERITED FROM PARENT COMMANDS
--color[=false]
    colorize output

--config=""
    config file (default is $HOME/.config/ipsw/config.yaml)

--no-color[=false]
    disable colorize output

-V, --verbose[=false]
    verbose output

SEE ALSO
ipsw-dyld(1)

HISTORY
5-Aug-2026 Auto generated by spf13/cobra